package com.gic.haoban.manage.web.qo;

import com.gic.commons.web.qo.PageQo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created 2021/12/16.
 *
 * @author hua
 */
public class CommonQO extends PageQo implements Serializable {
    @NotNull(message = "企业id不为空")
    private String wxEnterpriseId;
    @NotNull(message = "成员id不为空")
    private String staffId;
    @NotNull(message = "手机号id不为空")
    private String phoneNumber;
    @NotNull(message = "商户id不为空")
    private String enterpriseId;
    @NotNull(message = "门店id不为空")
    private String storeId;
    @NotNull(message = "导购id不为空")
    private String clerkId;

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }
}
